org.eclipse.gef.mvc.fx.parts

## Class DefaultSelectionFeedbackPartFactory

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory

All Implemented Interfaces:
  IFeedbackPartFactory

    public class DefaultSelectionFeedbackPartFactory
    extends java.lang.Object
    implements IFeedbackPartFactory

### Field Summary

Fields
`static javafx.scene.paint.Color` `DEFAULT_PRIMARY_SELECTION_FEEDBACK_COLOR` Defines the default `Color` for primary selection feedback.
`static javafx.scene.paint.Color` `DEFAULT_SECONDARY_SELECTION_FEEDBACK_COLOR` Defines the default `Color` for secondary selection feedback.
`static java.lang.String` `PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER` The binding name for the primary selection color.
`static java.lang.String` `SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER` The binding name for the secondary selection color.
`static java.lang.String` `SELECTION_FEEDBACK_GEOMETRY_PROVIDER` The role name for the `Provider<IGeometry>` that will be used to generate selection feedback.
`static java.lang.String` `SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER` The role name for the `Provider<IGeometry>` that will be used to generate selection link feedback.

### Constructor Summary

Constructors
Constructor and Description
`DefaultSelectionFeedbackPartFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<IFeedbackPart<? extends javafx.scene.Node>>` `createFeedbackParts(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets, java.util.Map<java.lang.Object,java.lang.Object> contextMap)` Creates specific `IFeedbackPart`s for the given targets.

`protected IFeedbackPart<? extends javafx.scene.Node>`

`createLinkFeedbackPart(IVisualPart<? extends javafx.scene.Node> anchorage, Provider<? extends IGeometry> anchorageLinkFeedbackGeometryProvider, IVisualPart<? extends javafx.scene.Node> anchored, Provider<? extends IGeometry> anchoredLinkFeedbackGeometryProvider, java.lang.String role)`
Creates a feedback-line between an anchored part and its anchorage.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER

    public static final java.lang.String PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER

The binding name for the primary selection color.

See Also:
  Constant Field Values

#### DEFAULT_PRIMARY_SELECTION_FEEDBACK_COLOR

    public static final javafx.scene.paint.Color DEFAULT_PRIMARY_SELECTION_FEEDBACK_COLOR

Defines the default `Color` for primary selection feedback.

#### SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER

    public static final java.lang.String SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER

The binding name for the secondary selection color.

See Also:
  Constant Field Values

#### DEFAULT_SECONDARY_SELECTION_FEEDBACK_COLOR

    public static final javafx.scene.paint.Color DEFAULT_SECONDARY_SELECTION_FEEDBACK_COLOR

Defines the default `Color` for secondary selection feedback.

#### SELECTION_FEEDBACK_GEOMETRY_PROVIDER

    public static final java.lang.String SELECTION_FEEDBACK_GEOMETRY_PROVIDER

The role name for the `Provider<IGeometry>` that will be used to generate selection feedback.

See Also:
  Constant Field Values

#### SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER

    public static final java.lang.String SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER

The role name for the `Provider<IGeometry>` that will be used to generate selection link feedback.

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultSelectionFeedbackPartFactory

    public DefaultSelectionFeedbackPartFactory()

### Method Detail

#### createFeedbackParts

    public java.util.List<IFeedbackPart<? extends javafx.scene.Node>> createFeedbackParts(java.util.List<? extends IVisualPart<? extends javafx.scene.Node>> targets,
                                                                                          java.util.Map<java.lang.Object,java.lang.Object> contextMap)

Description copied from interface: `IFeedbackPartFactory`
Creates specific `IFeedbackPart`s for the given targets. As additional information might be needed by the `IFeedbackPartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Specified by:
  `createFeedbackParts` in interface `IFeedbackPartFactory`
Parameters:
  `targets` - The target `IVisualPart`s for which feedback is to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IFeedbackPart`s that are to be used to indicate feedback for the given targets.

#### createLinkFeedbackPart

    protected IFeedbackPart<? extends javafx.scene.Node> createLinkFeedbackPart(IVisualPart<? extends javafx.scene.Node> anchorage,
                                                                                Provider<? extends IGeometry> anchorageLinkFeedbackGeometryProvider,
                                                                                IVisualPart<? extends javafx.scene.Node> anchored,
                                                                                Provider<? extends IGeometry> anchoredLinkFeedbackGeometryProvider,
                                                                                java.lang.String role)

Creates a feedback-line between an anchored part and its anchorage.

Parameters:
  `anchorageLinkFeedbackGeometryProvider` - The geometry provider of the anchorage part.
  `anchored` - The anchored `IVisualPart`.
  `anchoredLinkFeedbackGeometryProvider` - The link feedback provider of the anchored part.
  `anchorage` - The anchorage `IVisualPart`. The role under which the anchorage is stored at the anchored.
  `role` - The role under which the anchored is attached to the anchorage.
Returns:
  The `IFeedbackPart` for this anchor link, or `null` if no feedback should be rendered.